import Head from 'next/head'
import type { NextPage } from 'next'
import AnimatedText from 'react-animated-text-content'

import { Container } from '../components'
import { Main, Footer } from '../components/HomePage'

const styles = {
  style: { color: '#2c3e50' },
}

const Home: NextPage = () => {
  return (
    <>
      <Head>
        <title>Zebrands</title>
        <meta name="description" content="Generated by create next app" />
        <link rel="logo" href="/logo.svg" />
      </Head>

      <Container>
        <Main>
          <AnimatedText
            type="words"
            animationType="blocks"
            interval={0.06}
            duration={0.8}
            tag="h1"
            includeWhiteSpaces
            threshold={0.1}
            rootMargin="20%"
            {...styles}
          >
            Bienvenido al buscador de Zebrands
          </AnimatedText>
          <AnimatedText
            type="words"
            animationType="wave"
            interval={0.06}
            duration={0.8}
            tag="p"
            includeWhiteSpaces
            threshold={0.1}
            rootMargin="20%"
          >
            Realiza las búsquedas de usuarios y repositorios desde nuestro menu
          </AnimatedText>
        </Main>

        <Footer>Proyecto realizado por Vogel Sebastian</Footer>
      </Container>
    </>
  )
}

export default Home
